.TH "ompi_file_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_file_t \- Back-end structure for MPI_File.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <file.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIBase of OBJ_* interface. \fP"
.ti -1c
.RI "ompi_communicator_t * \fBf_comm\fP"
.br
.RI "\fICommunicator that this file was created with. \fP"
.ti -1c
.RI "char * \fBf_filename\fP"
.br
.RI "\fIFilename that this file was created with. \fP"
.ti -1c
.RI "int \fBf_amode\fP"
.br
.RI "\fIAmode that this file was created with. \fP"
.ti -1c
.RI "ompi_info_t * \fBf_info\fP"
.br
.RI "\fIMPI_Info that this file was created with. \fP"
.ti -1c
.RI "int32_t \fBf_flags\fP"
.br
.RI "\fIBit flags. \fP"
.ti -1c
.RI "int \fBf_f_to_c_index\fP"
.br
.RI "\fIIndex in Fortran <-> C translation array. \fP"
.ti -1c
.RI "\fBompi_errhandler_t\fP * \fBerror_handler\fP"
.br
.RI "\fIError handler. \fP"
.ti -1c
.RI "\fBompi_errhandler_type_t\fP \fBerrhandler_type\fP"
.br
.RI "\fIType of the error handler. \fP"
.ti -1c
.RI "mca_io_base_version_t \fBf_io_version\fP"
.br
.RI "\fIIndicate what version of the IO component we're using (this indicates what member to look at in the union, below). \fP"
.ti -1c
.RI "mca_io_base_components_t \fBf_io_selected_component\fP"
.br
.RI "\fIThe selected component (note that this is a union) -- we need this to add and remove the component from the list of components currently in use by the io framework for progression porpoises. \fP"
.ti -1c
.RI "mca_io_base_modules_t \fBf_io_selected_module\fP"
.br
.RI "\fIThe selected module (note that this is a union). \fP"
.ti -1c
.RI "mca_io_base_file_t * \fBf_io_selected_data\fP"
.br
.RI "\fIAllow the selected module to cache data on the file. \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBf_io_requests\fP"
.br
.RI "\fIPer-module io request freelist. \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBf_io_requests_lock\fP"
.br
.RI "\fILock for the per-module io request freelist. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Back-end structure for MPI_File. 
.PP
.SH "Field Documentation"
.PP 
.SS "\fBompi_errhandler_type_t\fP \fBompi_file_t::errhandler_type\fP"
.PP
Type of the error handler. 
.PP
This field does not have the 'f_' prefix for the same reason as the field error_handler. 
.SS "struct \fBompi_errhandler_t\fP* \fBompi_file_t::error_handler\fP"
.PP
Error handler. 
.PP
This field does not have the 'f_' prefix so that the OMPI_ERRHDL_* macros can find it, regardless of whether it's a comm, window, or file. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
